Hot News:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Lisp
  Ploteinstellungen per Lisp

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Ploteinstellungen per Lisp (1432 mal gelesen)
Geos
Mitglied
Vermessungstechniker i.R.


Sehen Sie sich das Profil von Geos an!   Senden Sie eine Private Message an Geos  Schreiben Sie einen Gästebucheintrag für Geos

Beiträge: 1017
Registriert: 21.09.2001

ACAD Map 2010, Win 7 Pro
eigene Lisp's<P>HW: Core i7 860, 2.8 GHz
3.3 GB, NVIDIA GeForce GTS 250

erstellt am: 08. Mai. 2009 08:58    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Servus

Ich beschäftige mich seit einigen Wochen/Monaten immer wieder mal damit, Ploteinstellungen per Lisp zu machen.
Oft gibts Schwierigkeiten (mit oder ohne Lösung), bei anderen Dateien funktioniert wieder was nicht mehr (was bereits gelöst war), na ja, so ein auf und ab halt.

Hab aber jetzt ein (einigermaßen?) "stabiles Problem".
(Auf diversen Zeichnungen unterschiedlicher Größe soll ein Text erzeugt werden, der auf dem Ausdruck (Pdf-Creator, A4) immer gleich groß ist. Also Drucker>Fenster>Einpassen => Faktor)

Drucker auswählen:
(vla-put-configname (f#actlay) "PDFCreator.pc3")  ;(f#actlay) liefert das activeLayout als VLA-Objekt
PaperUnits werden dabei auf "Zoll" gesetzt, daher:
(vla-put-PaperUnits (f#actlay) 1) -> im Plotdialog werden "mm" angezeigt!
unmittelbar danach:
(vla-getcustomscale (f#actlay)'#a '#b)
liefert für #b aber den Wert für Zoll!???  (measureinit = 1)

Bitte um Hilfe:
1. Liefert vla-getcustomscale prinzipiell den Faktor für Zoll?
2. Haben da noch andere Einstellungen Einfluss drauf?
3. Kann man "PDF-Creator -> PaperUnits = mm" erreichen (wie)?
4. Halte mich bei setzen der Einstellungen an die Reihenfolge
......Drucker
.........Papierformat
.........Plotbereich (= Fenster)
............Fenster (= links unten, rechts oben)
...............Einpassen/Maßstab
    Gibts noch weitere Einstellungen, die andere voraussetzen?
5. Kann man einen fixen Maßstabsfaktor auch vorher setzen (vla-setcustomscale (f#actlay) 1 1) und das Fenster später (manuell) auswählen?
   

------------------
Schöne Grüße
Ernst

www.geopaint.at

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CADwiesel
Moderator
CAD4FM UG




Sehen Sie sich das Profil von CADwiesel an!   Senden Sie eine Private Message an CADwiesel  Schreiben Sie einen Gästebucheintrag für CADwiesel

Beiträge: 1911
Registriert: 05.09.2000

AutoCAD, Bricscad
Wir machen das Mögliche unmöglich

erstellt am: 08. Mai. 2009 11:18    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Geos 10 Unities + Antwort hilfreich

ein vla-RefreshPlotDeviceInfo hift oft Wunder. Probier's mal aus vielleicht trifft das auch bei deinen Versuchen zu

------------------
Gruß
CADwiesel
Besucht uns im CHAT

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Geos
Mitglied
Vermessungstechniker i.R.


Sehen Sie sich das Profil von Geos an!   Senden Sie eine Private Message an Geos  Schreiben Sie einen Gästebucheintrag für Geos

Beiträge: 1017
Registriert: 21.09.2001

ACAD Map 2010, Win 7 Pro
eigene Lisp's<P>HW: Core i7 860, 2.8 GHz
3.3 GB, NVIDIA GeForce GTS 250

erstellt am: 08. Mai. 2009 12:15    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Danke Martin,

leider bewirkt das Refresh keine Änderung.
Aber ich konnte eben feststellen, dass die Sache mit den Zoll-Werten nur bei ACAD2007 passiert, bei ACAD2005 bleiben die mm und auch der Faktor ist OK.

Die 2007er hab ich noch nicht eingerichtet, verwende ich daher vorerst nur fallweise. Gibts vielleicht eine neue SysVar, die da Einfluss nimmt?

------------------
Schöne Grüße
Ernst

www.geopaint.at

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

marc.scherer
Ehrenmitglied V.I.P. h.c.
CAD-Administrator



Sehen Sie sich das Profil von marc.scherer an!   Senden Sie eine Private Message an marc.scherer  Schreiben Sie einen Gästebucheintrag für marc.scherer

Beiträge: 2484
Registriert: 02.11.2001

Windows 10 64bit
AutoCAD Architecture 2018/2019 (deu/eng)
AEC-Collection 2019 (Revit und Zeugs)
Wenn sich's nicht vermeiden läßt:
D-A-CH Erweiterung (mies implementierter Schrott)

erstellt am: 11. Mai. 2009 08:51    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Geos 10 Unities + Antwort hilfreich

Hi Geos,

weil ich auch gleich am Anfang beim Ändern von Ploteinstellungen via Lisp diverse Merkwürdigkeiten mit dem "automatischen" verstellen von Parametern hatte, bin ich dazu übergegangen als erstes alle alten Einstellungen (na ja, fast alle) in 'ner Liste zu sichern, in dieser Liste die neuen Werte einzutragen (was immer geändert werden soll) und dann eben gleich ALLE gesicherten Werte ins Layout zu schreiben.
Dabei sollte man in jedem Fall beachten, das vla-refreshplotdeviceinfo bei allem was mit dem anzusprechenden Plotter zu tun hat in jedem Fall aufgerufen werden sollte (z.B.: Wechsel des Plotters -> danach vla-refreshplotdeviceinfo um alle aktuellen Werte die der Plotter so liefert auch auf jedem Fall zurückgegeben zu bekommen!). Was mir auch noch im Gedächtnis geblieben ist: Manchmal entscheidet die REIHENFOLGE der zu setzenden Parameter über Erfolg oder Mißerfolg der Layout-Manipulation.

------------------
Ciao,
Marc

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Geos
Mitglied
Vermessungstechniker i.R.


Sehen Sie sich das Profil von Geos an!   Senden Sie eine Private Message an Geos  Schreiben Sie einen Gästebucheintrag für Geos

Beiträge: 1017
Registriert: 21.09.2001

ACAD Map 2010, Win 7 Pro
eigene Lisp's<P>HW: Core i7 860, 2.8 GHz
3.3 GB, NVIDIA GeForce GTS 250

erstellt am: 13. Mai. 2009 08:23    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo Marc

Hab jetzt grad keine DWGs mehr, wo die "Probleme" auftraten. Werds aber beim nächsten Mal mit einem Refresh nach JEDER Einstellung/Programmzeile versuchen.

Hat noch jemand eine Idee zu den "Zoll" beim "PDF-Creater"?

------------------
Schöne Grüße
Ernst

www.geopaint.at

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

marc.scherer
Ehrenmitglied V.I.P. h.c.
CAD-Administrator



Sehen Sie sich das Profil von marc.scherer an!   Senden Sie eine Private Message an marc.scherer  Schreiben Sie einen Gästebucheintrag für marc.scherer

Beiträge: 2484
Registriert: 02.11.2001

Windows 10 64bit
AutoCAD Architecture 2018/2019 (deu/eng)
AEC-Collection 2019 (Revit und Zeugs)
Wenn sich's nicht vermeiden läßt:
D-A-CH Erweiterung (mies implementierter Schrott)

erstellt am: 13. Mai. 2009 16:03    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Geos 10 Unities + Antwort hilfreich

Zitat:
Original erstellt von Geos:
Werds aber beim nächsten Mal mit einem Refresh nach JEDER Einstellung/Programmzeile versuchen.

Gar nicht notwendig. Nur wenn Du das PlotDEVICE (= Drucker) änderst. Dann werden nämlich einige abhängige Dinge wie z.B. der druckbare Bereich neu gelesen und gesetzt sind aber für das Programminterface noch nicht verfügbar. Eben erst NACH dem Refreshen.

------------------
Ciao,
Marc

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Geos
Mitglied
Vermessungstechniker i.R.


Sehen Sie sich das Profil von Geos an!   Senden Sie eine Private Message an Geos  Schreiben Sie einen Gästebucheintrag für Geos

Beiträge: 1017
Registriert: 21.09.2001

ACAD Map 2010, Win 7 Pro
eigene Lisp's<P>HW: Core i7 860, 2.8 GHz
3.3 GB, NVIDIA GeForce GTS 250

erstellt am: 02. Jun. 2009 13:53    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hi

Weils grad wieder aktuell ist ...

Code:
(defun c lt ()
  (vla-put-configname (f#actlay) "DesignJet 750C.pc3")
  (vla-RefreshPlotDeviceInfo (f#actlay))
  (vla-put-PaperUnits (f#actlay) 1)
  (vla-put-usestandardscale (f#actlay) :vlax-true)
  (vla-put-CanonicalMediaName (f#actlay) "UserDefinedMetric (430.00 x 310.00MM)")
  (vla-put-PlotRotation (f#actlay) 1)
  (vla-put-PlotWithLineweights (f#actlay) :vlax-true)
  (vla-put-ScaleLineweights (f#actlay) :vlax-true)

bis hierher läufts, aber dann verursachen sowohl
Code:
(vla-put-plottype (f#actlay) 4)

als auch
Code:
(vla-put-plottype (f#actlay) acWindow)

den folgenden Fehler:
"Fehler: Automatisierungsfehler Ungültige Eingabe"

Komischerweise hats in der ersten DWG noch funktioniert 

Hat jemand eine Idee ...?

------------------
Schöne Grüße
Ernst

www.geopaint.at

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

marc.scherer
Ehrenmitglied V.I.P. h.c.
CAD-Administrator



Sehen Sie sich das Profil von marc.scherer an!   Senden Sie eine Private Message an marc.scherer  Schreiben Sie einen Gästebucheintrag für marc.scherer

Beiträge: 2484
Registriert: 02.11.2001

Windows 10 64bit
AutoCAD Architecture 2018/2019 (deu/eng)
AEC-Collection 2019 (Revit und Zeugs)
Wenn sich's nicht vermeiden läßt:
D-A-CH Erweiterung (mies implementierter Schrott)

erstellt am: 02. Jun. 2009 14:18    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Geos 10 Unities + Antwort hilfreich

Hi Geos,

Auszug aus der Hilfe:

Zitat:
acWindow
Prints everything in the window specified by the SetWindowToPlot method.

The ViewToPlot property or SetWindowToPlot method must be called before you can set the PlotType to acView or acWindow.


Hört sich so an als ob Du das Fenster erst mal definieren mußt bevor Du den PlotType setzen kannst...

------------------
Ciao,
Marc

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Geos
Mitglied
Vermessungstechniker i.R.


Sehen Sie sich das Profil von Geos an!   Senden Sie eine Private Message an Geos  Schreiben Sie einen Gästebucheintrag für Geos

Beiträge: 1017
Registriert: 21.09.2001

ACAD Map 2010, Win 7 Pro
eigene Lisp's<P>HW: Core i7 860, 2.8 GHz
3.3 GB, NVIDIA GeForce GTS 250

erstellt am: 02. Jun. 2009 19:26    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Servus Marc

Also ich bin mir sicher, dass ich den PlotType auch schon nach der Fenstereingabe gehabt habe und es dort auch nicht gefunkt hat.
Werds aber morgen nochmal probieren.
In der Zwischenzeit hab ich allerdings am Code geschraubt (PlotType auskommentiert) - konnte damit wenigstens die restlichen Einstellungen setzen.
Na ja, hoffe trotzdem auf Erkenntnisse 

------------------
Schöne Grüße
Ernst

www.geopaint.at

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2020 CAD.de | Impressum | Datenschutz